Bug 960959 - Default query for resource should only show committed resources.
Default query for resource should only show committed resources.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 958772
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 07:53 EDT by Heiko W. Rupp
Modified: 2013-08-31 06:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 958772
Environment:
Last Closed: 2013-08-31 06:13:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-05-08 07:53:48 EDT
This cloned bug is only about inventory status

- default resource search should only show committed resources
- inventory status should be returned to the user
- search should allow to limit by inventory status


+++ This bug was initially created as a clone of Bug #958772 +++

Description of problem: Currently our /rest/resource is not yet enough powerful. For example it returns resources that are not yet imported in inventory and there is no way to distinguish InventoryStatus
Comment 1 Heiko W. Rupp 2013-05-10 06:19:49 EDT
master 8868d160
Comment 2 Heiko W. Rupp 2013-08-31 06:13:44 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.